Loading...
Searching...
No Matches
iofd_msghdr Struct Reference

serialized version of 'struct msghdr' employed by sendmsg/recvmsg More...

`#include <osmo_io_internal.h>`

## Data Fields

struct llist_head | list
| entry into osmo_io_fd.tx_queue.msg_queue
enum iofd_msg_action | action
struct msghdr | hdr
| the 'struct msghdr' we are wrapping/ecapsulating here
struct osmo_sockaddr | osa
| socket address of the remote peer
struct iovec | iov [1]
| io-vector we need to pass as argument to sendmsg/recvmsg; is set up to point into msg below
int | flags
| flags we pass as argument to sendmsg / recvmsg
struct msgb * | msg
| message-buffer containing data for this I/O operation
struct osmo_io_fd * | iofd
| I/O file descriptor on which we perform this I/O operation.
char | cmsg [0]
| control message buffer for passing sctp_sndrcvinfo along

## Detailed Description

serialized version of 'struct msghdr' employed by sendmsg/recvmsg

## Field Documentation

## action

enum iofd_msg_action iofd_msghdr::action

Referenced by iofd_msghdr_alloc().

## cmsg

char iofd_msghdr::cmsg[0]

control message buffer for passing sctp_sndrcvinfo along

## flags

int iofd_msghdr::flags

flags we pass as argument to sendmsg / recvmsg

## hdr

struct msghdr iofd_msghdr::hdr

the 'struct msghdr' we are wrapping/ecapsulating here

Referenced by iofd_msghdr_alloc(), iofd_poll_ofd_cb_recvmsg_sendmsg(), and osmo_iofd_txqueue_clear().

## iofd

struct osmo_io_fd* iofd_msghdr::iofd

I/O file descriptor on which we perform this I/O operation.

Referenced by iofd_msghdr_alloc(), iofd_poll_ofd_cb_recvmsg_sendmsg(), osmo_iofd_close(), osmo_iofd_free(), osmo_iofd_get_data(), osmo_iofd_get_fd(), osmo_iofd_get_ioops(), osmo_iofd_get_name(), osmo_iofd_get_priv_nr(), osmo_iofd_notify_connected(), osmo_iofd_sendmsg_msgb(), osmo_iofd_sendto_msgb(), osmo_iofd_set_alloc_info(), osmo_iofd_set_data(), osmo_iofd_set_ioops(), osmo_iofd_set_name(), osmo_iofd_set_priv_nr(), osmo_iofd_set_txqueue_max_length(), osmo_iofd_txqueue_clear(), and osmo_iofd_write_msgb().

## iov

struct iovec iofd_msghdr::iov[1]

io-vector we need to pass as argument to sendmsg/recvmsg; is set up to point into msg below

## list

struct llist_head iofd_msghdr::list

entry into osmo_io_fd.tx_queue.msg_queue

## msg

struct msgb* iofd_msghdr::msg

message-buffer containing data for this I/O operation

Referenced by iofd_msghdr_alloc(), iofd_poll_ofd_cb_recvmsg_sendmsg(), osmo_iofd_sendmsg_msgb(), osmo_iofd_sendto_msgb(), and osmo_iofd_write_msgb().

## osa

struct osmo_sockaddr iofd_msghdr::osa

socket address of the remote peer

The documentation for this struct was generated from the following file:

- src/core/osmo_io_internal.h